PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_proxy_events Struct Reference
Core API » Proxy

Proxy events, use pw_proxy_add_listener. More...

`#include <pipewire/proxy.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The proxy is destroyed.
void(* | bound )(void *data, uint32_t global_id)
| a proxy is bound to a global id
void(* | removed )(void *data)
| a proxy is removed from the server.
void(* | done )(void *data, int seq)
| a reply to a sync method completed
void(* | error )(void *data, int seq, int res, const char *message)
| an error occurred on the proxy
void(* | bound_props )(void *data, uint32_t global_id, const struct spa_dict *props)

## Detailed Description

Proxy events, use pw_proxy_add_listener.

Examples
  export-spa.c.

## Field Documentation

## ◆ version

uint32_t pw_proxy_events::version

## ◆ destroy

void(* pw_proxy_events::destroy) (void *data)

The proxy is destroyed.

## ◆ bound

void(* pw_proxy_events::bound) (void *data, uint32_t global_id)

a proxy is bound to a global id

## ◆ removed

void(* pw_proxy_events::removed) (void *data)

a proxy is removed from the server.

Use pw_proxy_destroy to free the proxy.

## ◆ done

void(* pw_proxy_events::done) (void *data, int seq)

a reply to a sync method completed

## ◆ error

void(* pw_proxy_events::error) (void *data, int seq, int res, const char *message)

an error occurred on the proxy

## ◆ bound_props

void(* pw_proxy_events::bound_props) (void *data, uint32_t global_id, const struct spa_dict *props)

The documentation for this struct was generated from the following file:

- pipewire/proxy.h